Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365489 - glfs_truncate missing
Summary: glfs_truncate missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: mainline
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Oleksandr Natalenko
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 11:34 UTC by Oleksandr Natalenko
Modified: 2016-11-22 13:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 13:28:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Oleksandr Natalenko 2016-08-09 11:34:32 UTC
glfs_truncate() is available in glfs.h but is not implemented.

Comment 1 Vijay Bellur 2016-08-09 11:35:25 UTC
REVIEW: http://review.gluster.org/13927 (gfapi: add missing glfs_truncate) posted (#8) for review on master by Oleksandr Natalenko (oleksandr@natalenko.name)

Comment 2 Vijay Bellur 2016-08-11 13:19:39 UTC
COMMIT: http://review.gluster.org/13927 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 3c41525001c49d7ada5f54bb3c97bf82909ee23e
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Tue Aug 9 13:20:26 2016 +0300

    gfapi: add missing glfs_truncate
    
    Change-Id: I80b016090a4d9d86278a0a5144dd58c0cbfe9bb2
    BUG: 1365489
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Signed-off-by: Oleksandr Natalenko <oleksandr@natalenko.name>
    Reviewed-on: http://review.gluster.org/13927
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 3 Worker Ant 2016-08-22 09:44:01 UTC
REVIEW: http://review.gluster.org/15194 (tests: Remove explicit mention of include location) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 4 Worker Ant 2016-08-22 14:45:00 UTC
COMMIT: http://review.gluster.org/15194 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit c48f99ae6b4cb44415f2451277cd472a26503034
Author: Poornima G <pgurusid@redhat.com>
Date:   Thu Aug 18 12:36:37 2016 +0530

    tests: Remove explicit mention of include location
    
    This hopefully fixes the spurious failures with
    
     error: glusterfs/api/glfs.h No such file or directory
    
    build.gluster.org/job/rackspace-regression-2GB-triggered/22897/consoleFull
    
    BUG: 1365489
    Change-Id: Ic3660de810c0daee7284373bbfaed172aba86d69
    Signed-off-by: Poornima G <pgurusid@redhat.com>
    Reviewed-on: http://review.gluster.org/15194
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>


Note You need to log in before you can comment on or make changes to this bug.